Subject: configure error for guile 2.0.7

From: Marc Girod <[email-masked]>
Date: Sat, 23 Mar 2013 16:01:56 +0000

Hello

I had to fix the sed command in the meta/Makefile (1782-1785, generated):

        | $(SED) -e "s,@pkgconfigdir@,$(pkgconfigdir),g" \
                 -e "s,@""PKG_CONFIG@,$(PKG_CONFIG),g" \
                 -e "s,@installed_guile@,$$guile,g" \

The original command (maybe OK for GNU sed?) would specify multiple
s/// patterns in the same argument, separated with ';', which fails on
Solaris sed.
This is in the guil-config rule, in Makefile.in lines 1782-1784:

guile-config: $(srcdir)/guile-config.in $(top_builddir)/config.status
        guile="@bindir@/`echo guile | $(SED) -e
'$(program_transform_name)'`" ; \
        cat $(srcdir)/guile-config.in
                 \
        | $(SED) -e "s,@pkgconfigdir@,$(pkgconfigdir),g ;
         \
                     s,@""PKG_CONFIG@,$(PKG_CONFIG),g ;
         \
                     s,@installed_guile@,$$guile,g"
         \
        > guile-config.out

I also have an issue with install-exec-hook in meta/Makefile: I have
to 'echo' instead of 'echo -n' in order to set the variables 'guild'
and 'guild-tools'.

Finally, I get a failure in make check:

make[3]: Entering directory `/proj/vobadm100/tmp/guile-2.0.7'
Testing /proj/vobadm100/tmp/guile-2.0.7/meta/guile ...
with GUILE_LOAD_PATH=/proj/vobadm100/tmp/guile-2.0.7/test-suite
/bin/bash: line 1: 25311 Segmentation Fault
CHARSETALIASDIR="/proj/vobadm100/tmp/guile-2.0.7/lib" ${dir}$tst
FAIL: check-guile
==================================
1 of 1 test failed
Please report to [email-masked]
==================================

I cannot reproduce from the command line, but my gcc compiler is not
fully working: it does dump core dealing with C++ exceptions.
I am working on it.
I join my config.log, gzipped.

Thanks,
Marc